com.threerings.parlor.tourney.data

## Class TourneyConfig

- java.lang.Object
- - com.threerings.io.SimpleStreamableObject
  - - com.threerings.parlor.tourney.data.TourneyConfig

All Implemented Interfaces:
  com.threerings.io.Streamable

    public class TourneyConfig
    extends com.threerings.io.SimpleStreamableObject

Stores tournament configuration data.

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.threerings.io.Streamable

`com.threerings.io.Streamable.Closure`

### Field Summary

Fields
`com.threerings.util.Name` `creator` The tourney creator.
`EntryFee` `entryFee` The fee to join the tourney.
`TourneyLogicData` `logic` The tournament logic runtime persistent data.
`int` `minPlayers` The minimum number of players needed for the tourney to start.
`Prize` `prize` The prize for this tourney.
`int` `startsIn` The number of minutes to wait for entrants before starting.
`int` `tourneyId` Our unique tourney id.

### Constructor Summary

Constructors
Constructor and Description
`TourneyConfig()`

### Method Summary

### Methods inherited from class com.threerings.io.SimpleStreamableObject

`toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### tourneyId

    public int tourneyId

Our unique tourney id.

#### prize

    public Prize prize

The prize for this tourney.

#### entryFee

    public EntryFee entryFee

The fee to join the tourney.

#### creator

    public com.threerings.util.Name creator

The tourney creator.

#### minPlayers

    public int minPlayers

The minimum number of players needed for the tourney to start.

#### startsIn

    public int startsIn

The number of minutes to wait for entrants before starting.

#### logic

    public TourneyLogicData logic

The tournament logic runtime persistent data.

### Constructor Detail

#### TourneyConfig

    public TourneyConfig()